{{ $appSection := "postgres-alerts" -}}
{{ $appName := (index . "Values" $appSection "name") -}}
apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ $appName }}
  annotations:
    {{- include "postgres-alerts.annotations" . | nindent 4 }}
  labels:
    app.kubernetes.io/name: {{ $appName }}
    {{- include "postgres-alerts.labels" . | nindent 4 }}
spec:
  replicas: 1
  strategy: {{- include "postgres-alerts.rollingUpdate" (index . "Values" $appSection) | nindent 4 }}
  selector:
    matchLabels:
      app.kubernetes.io/name: {{ $appName }}
      {{- include "postgres-alerts.selectorLabels" . | nindent 6 }}
  template:
    metadata:
      labels:
        app.kubernetes.io/name: {{ $appName }}
        {{- include "postgres-alerts.labels" . | nindent 8 }}
      annotations:
        {{- include "postgres-alerts.annotations" . | nindent 8 }}
    spec:
      automountServiceAccountToken: false
      {{- include "postgres-alerts.imagePullSecrets" (list . .Values.global.imagePullSecrets ) | nindent 6 }}
      containers:
        - name: {{ $appName }}
          image: {{ include "postgres-alerts.imageName" (list . $appSection) | quote }}
          imagePullPolicy: {{ .Values.global.pullPolicy }}
          env:
            - name: DB_HOSTNAME
              valueFrom:
                secretKeyRef:
                  name: {{ .Values.global.secretName }}
                  key: postgresAlertsPostgresHostname
            - name: DB_DATABASE
              valueFrom:
                secretKeyRef:
                  name: {{ .Values.global.secretName }}
                  key: postgresAlertsPostgresDatabase
            - name: DB_SSLMODE
              value: {{ index .Values $appSection "postgres" "sslmode" | quote }}
            - name: DB_USERNAME
              valueFrom:
                secretKeyRef:
                  name: {{ .Values.global.secretName }}
                  key: postgresAlertsPostgresUsername
            - name: DB_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: {{ .Values.global.secretName }}
                  key: postgresAlertsPostgresPassword
            - name: PGSSLROOTCERT
              value: /etc/ssl/certs/ca-certificates.crt
            - name: LOG_LEVEL
              value: {{ index . "Values" $appSection "logLevel" | upper | quote }}
          resources:
            {{ index .Values $appSection "resources" | toYaml | nindent 12 }}
          securityContext:
{{/*            allowPrivilegeEscalation: false # zatím se mi to nepodarilo, protoze "cron: can't open or create /var/run/crond.pid: Permission denied"*/}}
            runAsNonRoot: true
            runAsUser: 1001
{{/*            capabilities:*/}}
{{/*              drop: [ "all" ] # pri zapnuti prestane bezet cron*/}}